<?php
/**
*
* @package phpBB Delete my registration install
* @version $Id: index.php 53 2013-11-21 12:55:03Z killbill $
* @copyright (c) 2011 http://jatek-vilag.com
* @license http://opensource.org/licenses/gpl-2.0.php GNU General Public License v2
*
*/

/**
* @ignore
*/
define('IN_PHPBB', true);
define('IN_INSTALL', true);
define('UMIL_AUTO', true);

$phpbb_root_path = (defined('PHPBB_ROOT_PATH')) ? PHPBB_ROOT_PATH : './../';
$phpEx = substr(strrchr(__FILE__, '.'), 1);
include($phpbb_root_path . 'common.' . $phpEx);

$user->session_begin();
$auth->acl($user->data);
$user->setup();

if (!file_exists($phpbb_root_path . 'umil/umil_auto.' . $phpEx))
{
	trigger_error('Please download the latest UMIL (Unified MOD Install Library) from: <a href="http://www.phpbb.com/mods/umil/">phpBB.com/mods/umil</a>', E_USER_ERROR);
}

// The name of the mod to be displayed during installation.
$mod_name = 'Delete my registration';

$version_config_name = 'my_acc_delete_version';

$versions = array(
	'1.0.0'	=> array(
		'module_add' => array(
			array('ucp', 'UCP_PROFILE', array(
					'module_basename'	=> 'profile',
					'module_langname'	=> 'UCP_PROFILE_MY_ACC_DELETE',
					'module_mode'		=> 'my_acc_delete',
					'module_auth'		=> '',
			)),
		),
		'permission_add' => array(
			array('u_my_acc_post_delete', true),
		),

		'permission_set' => array(
			array('ROLE_USER_STANDARD', 'u_my_acc_post_delete'),
			array('ROLE_USER_FULL', 'u_my_acc_post_delete'),
			array('ROLE_USER_NOPM', 'u_my_acc_post_delete'),
			array('ROLE_USER_NOAVATAR', 'u_my_acc_post_delete'),
			array('ROLE_USER_NEW_MEMBER', 'u_my_acc_post_delete'),
			array('ROLE_USER_LIMITED', 'u_my_acc_post_delete'),
		),

		'cache_purge'	=> array('auth', 'template', 'theme', ''),
	),
	// no changes
	'1.0.1'	=> array(),
	// no changes
	'1.0.2'	=> array(),
);

// Include the UMIF Auto file and everything else will be handled automatically.
include($phpbb_root_path . 'umil/umil_auto.' . $phpEx);

?>